PRLIMIT(1)

NOM
prlimit - Obtenir et définir les limites de ressource

SYNOPSIS

prlimit [options] [--resource[=limits]] [--pid PID]

prlimit [options] [--resource[=limits]] command [argument...]

DESCRIPTION

À partir d’un identifiant de processus et d’au moins une ressource, prlimit essaie de récupérer ou de modifier les limites.

Si la commande est fournie, prlimit exécutera cette commande avec les arguments fournis.

The limits parameter is composed of a soft and a hard value, separated by a colon (:), in order to modify the existing values. If no limits are given, prlimit will display the current values. If one of the values is not given, then the existing one will be used. To specify the unlimited or infinity limit (RLIM_INFINITY), the -1 or 'unlimited' string can be passed.

Because of the nature of limits, the soft limit must be lower or equal to the high limit (also called the ceiling). To see all available resource limits, refer to the RESOURCE OPTIONS section.

    • soft:_hard_ Specify both limits.

    • soft: Specify only the soft limit.

    • :hard Specify only the hard limit.

    • value Specify both limits to the same value.

OPTIONS GÉNÉRALES

-h, --help
    Afficher l’aide-mémoire puis quitter.

--noheadings
    Ne pas imprimer de ligne d'en-tête.

-o, --output list
    Define the output columns to use. If no output arrangement is specified, then a default set is used. Use --help to get a list of all supported columns.

-p, --pid
    Indiquer l’identifiant de processus ; si aucun n’est donné, le processus en cours d'exécution sera utilisé.

--raw
    Utiliser l'affichage au format brut.

--verbose
    Mode détaillé.

-V, --version
    Afficher le nom et la version du logiciel et quitter.

OPTIONS DE RESSOURCE

-c, --core[=limites]
    Taille maximale d’un fichier « core ».

-d, --data[=limites]
    Taille maximale des données.

-e, --nice[=limites]
    Priorité « nice » maximale permise.

-f, --fsize[=limites]
    Taille maximale de fichier.

-i, --sigpending[=limites]
    Nombre maximal de signaux en attente.

-l, --memlock[=limites]
    Espace d’adressage maximal verrouillé en mémoire.

-m, --rss[=limites]
    Taille de mémoire résidente (RSS) maximale.

-n, --nofile[=limites]
    Nombre maximal de fichiers ouverts.

-i, --msgqueue[=limites]
    Nombre maximal d’octets dans les files de messages POSIX.

-r, --rtprio[=limites]
    Priorité temps réel maximale.

-s, --stack[=limites]
    Taille maximale de la pile.

-t, --cpu[=limites]
    Temps processeur, en seconde.

-u, --nproc[=limites]
    Nombre maximal de processus.

-v, --as[=limites]
    Limite d’espace d’adressage.

-x, --locks[=limites]
    Nombre maximal de verrous de fichier maintenus.

-y, --rttime[=limites]
    Délai d’expiration pour les tâches temps réel.

NOTES

The prlimit system call is supported since Linux 2.6.36, older kernels will break this program.

EXEMPLES

prlimit --pid 13134
    Afficher les valeurs limites de toutes les ressources actuelles.

prlimit --pid 13134 --rss --nofile=1024:4095
    Afficher les limites de la RSS et définir les limites molle et dure pour le nombre de fichiers ouverts respectivement à 1024 et 4095.

prlimit --pid 13134 --nproc=512:
    Ne modifier que la limite molle pour le nombre de processus.

prlimit --pid $$ --nproc=unlimited
    Définir, pour le processus actuel, à la fois les valeurs molle et plafond du nombre de processus à illimité.

prlimit --cpu=10 sort -u hugefile
    Set both the soft and hard CPU time limit to ten seconds and run 'sort'.

AUTEURS

- In memory of Dennis M. Ritchie.

VOIR AUSSI

ulimit(1p), prlimit(2)

SIGNALER DES BOGUES

For bug reports, use the issue tracker at

DISPONIBILITÉ

The prlimit command is part of the util-linux package which can be downloaded from

TRADUCTION
La traduction française de cette page de manuel a été créée par Christophe Blaess <ccb@club-internet.fr>, Michel Quercia <quercia AT cal DOT enst DOT fr>, Thierry Vignaud <tvignaud@mandriva.com>, Frédéric Delanoy <delanoy_f@yahoo.com>, Thierry Vignaud <tvignaud@mandriva.com>, Christophe Sauthier <christophe@sauthier.com>, Sébastien Blanchet, Jérôme Perzyna <jperzyna@yahoo.fr>, Aymeric Nys <aymeric AT nnx POINT com>, Alain Portal <aportal@univ-montp2.fr>, Thomas Huriaux <thomas.huriaux@gmail.com>, Yves Rütschlé <l10n@rutschle.net>, Jean-Luc Coulon (f5ibh) <jean-luc.coulon@wanadoo.fr>, Julien Cristau <jcristau@debian.org>, Philippe Piette <foudre-blanche@skynet.be>, Jean-Baka Domelevo-Entfellner <domelevo@gmail.com>, Nicolas Haller <nicolas@boiteameuh.org>, Sylvain Archenault <sylvain.archenault@laposte.net>, Valéry Perrin <valery.perrin.debian@free.fr>, Jade Alglave <jade.alglave@ens-lyon.org>, Nicolas François <nicolas.francois@centraliens.net>, Alexandre Kuoch <alex.kuoch@gmail.com>, Lyes Zemmouche <iliaas@hotmail.fr>, Florentin Duneau <fduneau@gmail.com>, Alexandre Normand <aj.normand@free.fr>, David Prévot <david@tilapin.org> et Jean-Philippe MENGUAL <jpmengual@debian.org> Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE. Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.